Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.operations
Class And

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.operations.Operation
                  |
                  +--weblogic.apache.xpath.operations.And

public class And
extends Operation

The 'and' operation expression executer.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xpath.operations.Operation
`m_left, m_right`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`And()`

Method Summary
`boolean` | `bool(XPathContext xctxt)` Evaluate this operation directly to a boolean.
`XObject` | `execute(XPathContext xctxt)` AND two expressions and return the boolean result.

Methods inherited from class weblogic.apache.xpath.operations.Operation
`canTraverseOutsideSubtree, fixupVariables, getLeftOperand, getRightOperand, operate, setLeftRight`

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, error, execute, execute, executeCharsToContentHandler, isNodesetExpr, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### And

    public And()

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws javax.xml.transform.TransformerException

  AND two expressions and return the boolean result. Override superclass method for optimization purposes.

  Parameters:
    `xctxt` - The runtime execution context.
  Returns:
    `XBoolean.S_TRUE` or `XBoolean.S_FALSE`.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class Operation

### bool

    public boolean bool(XPathContext xctxt)
                 throws javax.xml.transform.TransformerException

  Evaluate this operation directly to a boolean.

  Parameters:
    `xctxt` - The runtime execution context.
  Returns:
    The result of the operation as a boolean.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    bool in class Expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference